[Release] PlotSquared - Grief Protection | Multi-World Management | World Generators | Survival + Creative


#43

Judging by the line number, that stacktrace appears to be from an older build of SpongeForge. Firing custom events should be working on the latest builds.


#44

Will this be released for sponge 730+ anytime soon? Really looking forward to using it on my server again :smiley:


#45

I'll be free to work on this in 5 days


#46

I just took a "quick" glance at this plugin and immediately decided I needed this for my server. Keep up the good work, Empire!


#47

Had a quick look too. It looks great for our future. I'll keep watch till economy support is available to it, as well as plot clearing. Thank you so much for this! It's going to be fab!


#48

Has this been updated to work with the post-930 builds of Sponge?


#49

Will you still be continuing this project to the beta builds?


#50

Has this plugin evolved so far? As of July 2015, it states key features like "- Async WorldEditing is a WIP". I would very much like to know if the plugin has now incorporated more things since the release of the Beta Sponge.


#51

Builds link is down, any word on this? Or an update to Sponge beta?


#52

@Rasgnarok @HassanS6000 @Txk @frycook
PlotSquared 3.3.0 should be released before the end of the month. The link will be fixed then.

Potential features:
- Fast augmented world generation with simplified setup
- plot clearing
- Async WorldEdit (will probablybe buggy)
- Economy support
- Support for third party generators
- proper schematic support / web integration
- custom events / API improvements

Follow development here:
https://github.com/IntellectualSites/PlotSquared/commits/master


#53

The links above have been update. Development builds for the latest version of SpongeForge are now available. Anyone interested in testing / trying this out, please let us know of any bugs and missing features that you think are important.

3.3.0 Will be released after testing has worked out all the bugs.


#54

[16:17:29] [Server thread/DEBUG] [FML/]: The mod container PlotSquared-Sponge-3.3.1.jar appears to be missing an mcmod.info file
[16:17:29] [Server thread/DEBUG] [FML/]: Identified a mod of type Lorg/spongepowered/api/plugin/Plugin; (com.plotsquared.sponge.SpongeMain) - loading
[16:17:29] [Server thread/ERROR] [Sponge/]: Found plugin with invalid plugin ID 'PlotSquared'. Plugin IDs should be lowercase, and only contain characters from a-z, dashes, underscores or dots. Please see the in-existent SpongeDocs link for details. The plugin will be still loaded currently, however this will be removed soon. Please notify the author to update the plugin as soon as possible.
[16:17:29] [Server thread/WARN] [Sponge/]: Plugin 'PlotSquared' seems to be missing a valid mcmod.info metadata file. This is not a problem when testing plugins, however it is recommended to include one in public plugins. Please see the in-existent SpongeDocs link for details.
[16:17:29] [Server thread/ERROR] [Sponge/]: Plugin 'PlotSquared' is using the old dependencies format in the @Plugin annotation (before SpongeAPI 4.0.0). This is only supported for compatibility reasons and will be removed soon. Please notify the author to update the plugin as soon as possible.


#55

If the plugin is working correctly this can be ignored..for now. Plugin hasn't been updated to latest API yet.


#56

22.03 09:17:02 [Server] Server thread/ERROR [Sponge]: Found plugin with invalid plugin ID 'PlotSquared'. Plugin IDs should be lowercase, and only contain characters from a-z, dashes, underscores or dots. Please see the in-existent SpongeDocs link for details. The plugin will be still loaded currently, however this will be removed soon. Please notify the author to update the plugin as soon as possible.
22.03 09:17:02 [Server] Server thread/WARN [Sponge]: Plugin 'PlotSquared' seems to be missing a valid mcmod.info metadata file. This is not a problem when testing plugins, however it is recommended to include one in public plugins. Please see the in-existent SpongeDocs link for details.
22.03 09:17:02 [Server] Server thread/ERROR [Sponge]: Plugin 'PlotSquared' is using the old dependencies format in the @Plugin annotation (before SpongeAPI 4.0.0). This is only supported for compatibility reasons and will be removed soon. Please notify the author to update the plugin as soon as possible.


#57

@Vamp2004: Make sure you're using the latest version of PlotSquared.


#58

Where do I find that at? I'm new to sponge and navigation here is tricky.


#59

http://ci.athion.net/job/PlotSquared/


#60

How would I create a simple FlatLand world with plots?


#61

/plot area create <world>


#62

I'm using this command but nothing happens but making my client drop fps like crazy